<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.uml2sd.trace"
   name="UML2SD Trace Loaders Plug-in"
   version="3.0.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.uml2sd.trace.TraceSDPlugin">

   <runtime>
      <library name="trace.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.uml2sd.trace"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.hyades.models.trace"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.trace.views"/>
      <import plugin="org.eclipse.hyades.uml2sd.ui"/>
   </requires>


   <extension
         point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
            name="%STR_OPEN_UML2SD_NODE_INTERACTION_ST_ACTION"
            type="Monitor"
            icon="./icons/sequencediagram_obj.gif"
            class="org.eclipse.hyades.uml2sd.trace.actions.internal.OpenNodeInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.NodeInteractions"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_UML2SD_PROCESS_INTERACTION_ST_ACTION"
            type="Host"
            icon="./icons/sequencediagram_obj.gif"
            class="org.eclipse.hyades.uml2sd.trace.actions.internal.OpenProcessInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ProcessInteractions"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_UML2SD_AGENT_INTERACTION_ST_ACTION"
            type="Host"
            icon="./icons/sequencediagram_obj.gif"
            class="org.eclipse.hyades.uml2sd.trace.actions.internal.OpenAgentInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.AgentInteractions"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_UML2SD_THREAD_INTERACTION_ST_ACTION"
            type="Profiler"
            icon="./icons/sequencediagram_obj.gif"
            class="org.eclipse.hyades.uml2sd.trace.actions.internal.OpenThreadInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ThreadInteractions"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_UML2SD_OBJECT_INTERACTION_ST_ACTION"
            type="Profiler"
            icon="./icons/sequencediagram_obj.gif"
            class="org.eclipse.hyades.uml2sd.trace.actions.internal.OpenObjectInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ObjectInteractions"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_UML2SD_CLASS_INTERACTION_ST_ACTION"
            type="Profiler"
            icon="./icons/sequencediagram_obj.gif"
            class="org.eclipse.hyades.uml2sd.trace.actions.internal.OpenClassInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ClassInteractions"
            extension="trace">
      </analyzerExtension>
   </extension>
   <extension
         point="org.eclipse.hyades.uml2sd.ui.uml2SDLoader">
      <uml2SDLoader
            name="%STR_UML2SD_NODE_INTERACTION"
            class="org.eclipse.hyades.uml2sd.trace.loaders.NodeInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.NodeInteractions">
      </uml2SDLoader>
      <uml2SDLoader
            name="%STR_UML2SD_PROCESS_INTERACTION"
            class="org.eclipse.hyades.uml2sd.trace.loaders.ProcessInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ProcessInteractions">
      </uml2SDLoader>
      <uml2SDLoader
            name="%STR_UML2SD_AGENT_INTERACTION"
            class="org.eclipse.hyades.uml2sd.trace.loaders.AgentInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.AgentInteractions">
      </uml2SDLoader>
      <uml2SDLoader
            name="%STR_UML2SD_THREAD_INTERACTION"
            class="org.eclipse.hyades.uml2sd.trace.loaders.ThreadInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ThreadInteractions">
      </uml2SDLoader>
      <uml2SDLoader
            name="%STR_UML2SD_OBJECT_INTERACTION"
            class="org.eclipse.hyades.uml2sd.trace.loaders.ObjectInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ObjectInteractions">
      </uml2SDLoader>
      <uml2SDLoader
            name="%STR_UML2SD_CLASS_INTERACTION"
            class="org.eclipse.hyades.uml2sd.trace.loaders.ClassInteractions"
            id="org.eclipse.hyades.uml2sd.trace.loaders.ClassInteractions">
      </uml2SDLoader>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.uml2sd.trace.loaders.internal.TraceLifeline"
            id="org.eclipse.hyades.uml2sd.trace.loaders.internal.TraceLifeline">
         <action
               label="%STR_UML2SD_FILTER_LIFELINE"
               icon="./icons/filter_obj.gif"
               class="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceLifelineFilterAction"
               enablesFor="+"
               id="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceLifelineFilterAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.uml2sd.trace.loaders.internal.ITraceMessage"
            id="org.eclipse.hyades.uml2sd.trace.loaders.internal.ITraceMessage">
         <action
               label="%STR_UML2SD_FILTER_MESSAGE"
               icon="./icons/filter_obj.gif"
               class="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceMessageFilterAction"
               enablesFor="+"
               id="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceMessageFilterAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.uml2sd.trace.loaders.internal.TraceLifeline"
            id="org.eclipse.hyades.uml2sd.trace.loaders.internal.TraceLifeline">
         <action
               label="%STR_UML2SD_COLLAPSE_LIFELINE"
               icon="./icons/filter_obj.gif"
               class="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceLifelineCollapseAction"
               enablesFor="2+"
               id="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceLifelineCollapseAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.uml2sd.trace.loaders.internal.TraceCollapsedLifelines"
            id="org.eclipse.hyades.uml2sd.trace.loaders.internal.TraceCollapsedLifelines">
         <action
               label="%STR_UML2SD_EXPAND_LIFELINE"
               icon="./icons/filter_obj.gif"
               class="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceLifelineExpandAction"
               enablesFor="+"
               id="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceLifelineExpandAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.uml2sd.trace.loaders.internal.ICollapsableMessage"
            id="org.eclipse.hyades.uml2sd.trace.loaders.internal.ICollapsableMessage">
         <action
               label="%STR_UML2SD_COLLAPSE_MESSAGE"
               icon="./icons/filter_obj.gif"
               class="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceMessageCollapseAction"
               enablesFor="+"
               id="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceMessageCollapseAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.uml2sd.trace.loaders.internal.IExpandableMessage"
            id="org.eclipse.hyades.uml2sd.trace.loaders.internal.IExpandableMessage">
         <action
               label="%STR_UML2SD_EXPAND_MESSAGE"
               icon="./icons/filter_obj.gif"
               class="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceMessageExpandAction"
               enablesFor="+"
               id="org.eclipse.hyades.uml2sd.trace.actions.internal.TraceMessageExpandAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%STR_TRACE_INTERAC_PAGE"
            category="org.eclipse.hyades.uml2sd.ui.preferences.SDViewerPage"
            class="org.eclipse.hyades.uml2sd.trace.preferences.TraceInteractionPreferencePage"
            id="org.eclipse.hyades.uml2sd.trace.preferences.TraceInteractionPreferencePage">
      </page>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="TraceInteractionInfopopContexts.xml"
            plugin="org.eclipse.hyades.uml2sd.trace">
      </contexts>
   </extension>

</plugin>
